Package Details: phablet-tools 1.1+14.10.20141010-3

Git Clone URL: https://aur.archlinux.org/phablet-tools.git (read-only)
Package Base: phablet-tools
Description: Tools to install Ubuntu Touch on Nexus Devices
Upstream URL: https://launchpad.net/~phablet-team
Licenses: GPL2
Submitter: CReimer
Maintainer: olivervbk
Last Packager: olivervbk
Votes: 15
Popularity: 1.978211
First Submitted: 2013-02-27 20:43
Last Updated: 2015-07-11 01:43

Latest Comments

olivervbk commented on 2015-08-11 02:43

@WFCody
What happens if you run 'adb shell id -ru' ?

WFCody commented on 2015-08-10 19:29

I got this error when I tried to make an ubuntu touch image writeable (to convert to plasma-mobile)

% phablet-config writable-image
error: closed
error: closed
Traceback (most recent call last):
File "/usr/bin/phablet-config", line 420, in <module>
main()
File "/usr/bin/phablet-config", line 417, in main
args.func(adb, args)
File "/usr/bin/phablet-config", line 143, in _handle_writable_image
if not is_remote_root(adb):
File "/usr/bin/phablet-config", line 107, in is_remote_root
return adb.shell("id -ru").strip() == "0"
File "/usr/lib/python2.7/site-packages/phabletutils/device.py", line 144, in shell
output = check_output(self._cmd % cmd)
File "/usr/lib/python2.7/site-packages/phabletutils/device.py", line 30, in check_output
return subprocess.check_output(args, shell=True)
File "/usr/lib/python2.7/subprocess.py", line 573, in check_output
raise CalledProcessError(retcode, cmd, output=output)
subprocess.CalledProcessError: Command 'adb shell id -ru' returned non-zero exit status 255

olivervbk commented on 2014-11-22 19:56

@KipperKyle
Thanks.

Updated:
1. changed source to "https://launchpad.net/ubuntu/+archive/primary/+files/${pkgname}_${pkgver}.orig.tar.gz"
2. replaced android-sdk-platform-tools dependency to android-tools

It seems that the ubuntu maintainers updated the release to 0ubuntu1 but only the diff is available. I checked it out and it seemed to be just documentation updates. Maybe I'll try to make the package apply it automatically...

KlipperKyle commented on 2014-11-21 00:46

Like in ubuntu-device-flash, I changed the android-sdk-platform-tools dependency to android-tools (which is an official package).

The source link went dead, too. A working one is

source=("https://launchpad.net/ubuntu/+archive/primary/+files/${pkgname}_${pkgver}.orig.tar.gz")

olivervbk commented on 2014-10-13 02:54

1. replaced source url with utopic instead of trusty
2. Replaced maintainer in PKGBUILD

olivervbk commented on 2014-10-13 02:22

1. updated version to 1.1+14.10.20141010
2. replaced repo with the aur version (moved repo to repo.phablet-tools)

Hope nothing breaks :P

Maybe should have used utopic url. Maybe I'll change it later.

olivervbk commented on 2014-10-13 02:20

1. updated version to utopic release 1.1+14.10.20141010
2. replaced repo with the aur version (moved repo to repo.phablet-tools)

Hope nothing breaks :P

olivervbk commented on 2014-10-13 01:50

Conflicts with
https://aur.archlinux.org/packages/repo/

CReimer commented on 2014-01-28 11:25

Done. Have fun with it.

I'm no longer interested in any product of Canonical.

davef commented on 2014-01-26 23:26

Please let someone else take over this package. I had to make some PKGBUILD modifications.

All comments